### Constructor

# Gimp Image new

#### Declaration [src]

    GimpImage*
    gimp_image_new (
      gint width,
      gint height,
      GimpImageBaseType type
    )

#### Description [src]

Creates a new image with the specified width, height, and type.

Creates a new image, undisplayed, with the specified extents and type. A layer should be created and added before this image is displayed, or subsequent calls to `gimp_display_new()` with this image as an argument will fail. Layers can be created using the `gimp_layer_new()` command. They can be added to an image using the `gimp_image_insert_layer()` command.

If your image’s type is INDEXED, a palette must also be set with `gimp_image_set_palette()`. An indexed image without a palette will output unexpected colors.

#### Parameters

`width`

  Type: `gint`

  The width of the image.

`height`

  Type: `gint`

  The height of the image.

`type`

  Type: `GimpImageBaseType`

  The type of image.

#### Return value

Type: `GimpImage`

The newly created image.

The data is owned by the called function.